Skip to main content
GET
/
organization
/
{organizationId}
/
azure
/
credentials
List Azure credentials
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/azure/credentials \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.qovery.com/organization/{organizationId}/azure/credentials"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.qovery.com/organization/{organizationId}/azure/credentials', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "access_key_id": "<string>",
      "object_type": "AWS"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Response

list credentials

results
(AwsStaticClusterCredentials · object | ScalewayClusterCredentials · object | GenericClusterCredentials · object | AwsRoleClusterCredentials · object | EksAnywhereVsphereClusterCredentials · object | AzureStaticClusterCredentials · object | GcpStaticClusterCredentials · object | GcpWorkloadIdentityFederationClusterCredentials · object)[]